/**
 * Created by Tony on 2017/7/13.
 */
let test = require('tape');
let fs = require("fs");

test('std glj types test1', function(t){
    //console.log(__dirname.slice(0, __dirname.length - 12) + '/public/web/date_util.js');
    fs.readFile(__dirname.slice(0, __dirname.length - 12) + '/public/web/date_util.js', 'utf8', 'r', function (err, data) {
        eval(data);
        let dt = new Date();
        //dt.setMonth(dt.getMonth() + 3);
        t.equal(dt.Format('yyyy-M-dd'), "2017-7-13");
        t.equal(dt.Format('yyyy年M月dd日'), "2017年7月13日");
        t.equal(dt.Format('yyyy年M月20日'), "2017年7月20日");
        t.end();
    });
});

